1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.
  2. To combat forum spam, new accounts will need to make at least one (valid) post.
    Otherwise, we will periodically purge all users without posts or that haven't confirmed their account.

Version 7 - Setup Error "Maximum Allowable Users"

Discussion in 'General Support' started by jbh1977, Apr 27, 2012.

Thread Status:
Not open for further replies.
  1. jbh1977

    jbh1977 New Member

    Hello.

    On this website my client ( was the php guy he was the designer and worked for the people who own the site) built this calendar with your software and wordpress to display it:

    Here is a demo:

    http://tbj.org/calendar-2/demo.php?showCat=&Submit=Filter&mo=4&yr=2012&ev=

    We created a dev sub domain to test the upgrade of Version 7. I cannot get data to load at all:

    http://dev.tbj.org/calendar-2/demo.php

    "You have exceeded the maximum allowable users."

    So I went into the setup section and, to my surprise, I found this error

    http://dev.tbj.org/calendar-2/setup/

    So the script successfully updated but I cannot get into the panel and I cannot figure out how to get the data from the epc_calendar table to load.

    Thanks for your time. I'll provide more info if necessary.
     
  2. jbh1977

    jbh1977 New Member

    I simply cannot find proof that it is even finding the epc_calendar table for the events, which is where they are stored. All I see in this new config file is references to the wp_ tables such as the config and license info/etc.

    Also - we used to use tocCalendar.php in the functions folder. (Text on Calendar). That option doesn't exist anymore?
     
    Last edited: Apr 27, 2012
  3. Brian

    Brian EPC Developer Staff Member

    Are you trying to upgrade from Version 6 to Version 7 or is this a new install of Version 7? I'm unsure from your post.
     
  4. jbh1977

    jbh1977 New Member

    An upgrade from Version 6. Sorry for not being clear.

    We are using a dev db that was a copy of the working one and everything was working fine until the upgrade.

    The categories we assigned in Version 6 we hand coded them into the old version 6 config file. I did the same for version 7 so those at least load in the pulldown but for some reason I just cannot get the epc_calendar table data to load in this calendar and the setup folder won't let me in.

    Ty for the help. Their web host shuts off php 4 May 7th so that's why it's so important for us to resolve this. It's greatly appreciated.
     
  5. ve9gra

    ve9gra Support Team

    There is no upgrade path from V6 to V7.... You need to start fresh. Do not edit the config file manually to add the categories... as they are no longer kept in the config file, they're now saved in the database.

    You can still move to a PHP5-ready V6 without having to move to V7 yet...
     
  6. Brian

    Brian EPC Developer Staff Member

    And just an FYI, we expect to release an V6 to V7 upgrade script by the end of next month. (This is stated in the instructions on the Upgrade page).
     
  7. jbh1977

    jbh1977 New Member

    Ok, I must have misunderstood.

    So, I should create an entirely new setup with v7. Then I guess I just replace the styling with the old styling that will re-create my calendar look. Is that correct?

    If so, is there anything else I need to do? For instance, our v6 config showed this category variable:

    $epcCategories="0|Category[0|Upcoming Services[20|Events & Announcements[21|B'Nai Mitzvah[22|Family Education Program[23|Lippman Gallery[24|Exercise at TBJ[25|Camp TBJ[26|Volunteer Choir[27|Early Childhood Center[28|Brotherhood[29|Renaissance Group[30|Religious School[31|Caring Community[32|Adult Education[33|Women's Association[34|Seniors Keep In Touch[35|Holidays[36|Brotherhood & Women's Association[37|Speaker Series[38|Worship[39|Tikkun Olam[40|-||-41|6";
    $epcCategoryColors="FFC18A[9999|";

    The reason for this was because we used wp plugin I built and short codes to determine which cat was associated with a short code.

    The pulldown works even in v 7 because of this but it is not able to read the calendar data.

    So, should I just add those categories into the db and start fresh and leave the config (new config) file alone and the existing calendar data in epc_calendar table will load for the calendar? Then I just style it to fit the 'proper version' of the calendar style?

    Thanks. I just want to confirm if that is correct.
     
  8. Brian

    Brian EPC Developer Staff Member

    You can use the same (modified) templates with Version 7 that you used with Version 6.

    V7 stores all categories in the database now. You won't be able to use the old $epcCategories variable.
     
  9. jbh1977

    jbh1977 New Member

    So the categories as I posted them, just put them in the db instead. I can do that.

    I wonder if that by itself is the main problem? When I uploaded the version 7, for the record, it overwrote all my v 6 files. I then replaced a few to show the v 6 styling of the calendar.

    Now, to be clear. You are saying I s houldn't have done that and should start with a fresh install? *If* that is the case, I can still import the v6 db on from the live site to the dev site with v 7 - right?

    Thanks. I just want to make sure I understood so I can do this properly tonight.

    Thanks.
     
  10. Brian

    Brian EPC Developer Staff Member

    There are substantial changes to the way Version 7 works than how Version 6 does. There is no direct way to import events, categories, etc. into Version 7. For example, each event has an owner in Version 7 where Version 6 does not have this function at all. Categories and their selections are kept in separate database tables instead of a single variable. Plus much more.

    We are working on an upgrade script to address all of these differences, but don't expect it until the end of May.

    In the meantime, the only thing you can re-use from Version 6 is the themes and templates.
     
  11. jbh1977

    jbh1977 New Member

    So what is our solution? Our web host forces php 5 in may. You're saying we can run v 6 under php 5.3?

    Should I just have the client pay you guys to work on this? I just don't know what to do. How do we access the v 6 epc_calendar event posts in v 7? That's the main issue, really.

    If having you guys do a paid gig to look at it, that's fine. If it means
    finding a way to use v 6 on php 5.3 that's fine too I guess.

    Sorry, I don't mean to be a pain but we have one week to figure this out. I thought this would work with just an update.

    Thank you VERY much for the follow ups.
     
  12. jbh1977

    jbh1977 New Member

    Actually, maybe it's not such a big deal. We just have to assign unique users to log in, have them post new events and just make sure those categories we had hard coded are in the db, right? Maybe instead of just importing old events we'll use it to show future ones they enter through V 7

    Would that solve our problem? The rest of the site doesn't need to worry about easy php calendar. Just the one /calendar page which, on v7 is empty.

    Does that sound like a way to solve this? Just treat it as a new installatoin, get them to log in and create 'event user' accounts and start posting again? Then the calendar will work when it finds the categories in the db?

    Thanks.
     
  13. Brian

    Brian EPC Developer Staff Member

    You can use the ionCube encoded Version 6 calendar files on PHP 5.3.

    Your solution may work, but I'm not exactly sure how you use the calendar. When the upgrade script is finished you will be able to import V6 events into a NEW install of V7 (it can't already have information in it).
     
  14. jbh1977

    jbh1977 New Member

    When we turned php 5.3 on for V 6, the calendar didn't look right. That was our concern. That's why we wanted to upgrade. I also thought from comparing the 2 that we had to upgrade.

    I might re-upload the old inocube .so files that run on php 4 on the live site and re-do simulating php 5 + those files and see if maybe we can just tweak the calendar page to respond properly and look right. Text/etc was spilling out. Tonight I'll try to simulate it and show you guys (maybe make a separate thread).

    TY.
     
  15. jbh1977

    jbh1977 New Member

    Brian, I am curious. Which version of Easy PHP Calendar (in the version 6 family) would work with php 5? Where the calendar format won't break/etc. Maybe the problem is our php calendar software is from 2012 and needed to upgrade in the version 6 family? They are running version 6 ( I don't see 6.1 or anything like that, just 6) installed on 2010.

    Maybe that was the problem? If I revert back to 6 and re-load the ioncube files that are running the old version on the live site, but download a 6+ version, maybe that solves everything?
     
  16. Brian

    Brian EPC Developer Staff Member

    The ionCube encoded Version 6 works with PHP 5.x. You can run the tester script from our Free Download page to see if the server is compatible and it will also provide a direct download to the files you need to use.
     
Thread Status:
Not open for further replies.

Share This Page